
TYPO3.Fluid - Feature # 13643

Status: Resolved Priority: Should have
Author: Jascha Dachtera Category: Command
Created: 2011-03-05 Assigned To: Bastian Waidelich
Updated: 2012-05-08 Due date:
Has patch: Yes
Subject: Create Command for XSD Schema generation
Description

Hello,

the Xsd Generation for Fluid ViewHelper Tags doesn't work (since quite some time I think). I created a patch to fix it. However I still
don't know how to use it for autocompletion in Eclipse.

This is my first patch so I hope it's created correctly. :)

Greetings, Jascha

Related issues:
related to TYPO3.Fluid - Bug # 31451: Fluid XSD Generator uses removed method Closed 2011-10-31

Associated revisions
Revision 1cde8ca1 - 2012-05-08 09:51 - Bastian Waidelich

[FEATURE] Command for XSD Schema generation

This adds a command controller for rendering XSD schemas
for ViewHelpers.

Usage: ./flow3 documentation:generatexsd 'Some\Namespace'

This also removes the no longer needed and forever broken
Controllers from the package.

Change-Id: I3a24a0ebd4fd6c9d67c8d178a40ea2e956407545
Resolves: #13643
Releases: 1.1

History
#1 - 2011-05-06 10:40 - Sebastian Kurfuerst
- Tracker changed from Bug to Story
- Has patch set to Yes

#2 - 2011-05-06 11:03 - Sebastian Kurfuerst
- Tracker changed from Story to Feature

#3 - 2012-02-23 20:57 - Bastian Waidelich
- Subject changed from XSD Generation does not work to Create Command for XSD Schema generation
- Category set to Command
- Status changed from New to Accepted
- Assigned To set to Bastian Waidelich
- Target version set to 1.1

..and after a long long time I'll take care of this.
We'll get rid of the controllers though and add the feature as command. I'll add infos here.

Sorry for the delay and thanks for your patience!

#4 - 2012-02-23 22:58 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9168

#5 - 2012-02-23 23:00 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9168

#6 - 2012-05-08 09:52 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9168

#7 - 2012-05-08 14:38 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:1cde8ca124027849ffe610e0a4db479e9ab619b4.

Files
FluidXsdGeneration.patch 4.9 kB 2011-03-05 Jascha Dachtera
